Orishare
API reference
GET
/identity_connections

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 2048

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/identity_connections"
{  "data": [    {      "id": "string",      "provider": "firebase",      "issuer": "string",      "audience": "string",      "verification_url": "string",      "algorithms": [        "RS256"      ],      "token_profile": "firebase_id",      "authorized_parties": [        "string"      ],      "enabled": true,      "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",      "security_generation": -9007199254740991,      "version": -9007199254740991,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/identity_connections

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/identity_connections" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "provider": "oidc",    "issuer": "https://identity.example",    "audience": "product",    "verification_url": "https://identity.example/jwks",    "algorithms": [      "RS256"    ],    "token_profile": "oidc_id"  }'
{  "id": "string",  "provider": "firebase",  "issuer": "string",  "audience": "string",  "verification_url": "string",  "algorithms": [    "RS256"  ],  "token_profile": "firebase_id",  "authorized_parties": [    "string"  ],  "enabled": true,  "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",  "security_generation": -9007199254740991,  "version": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
GET
/identity_connections/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/identity_connections/string"
{  "id": "string",  "provider": "firebase",  "issuer": "string",  "audience": "string",  "verification_url": "string",  "algorithms": [    "RS256"  ],  "token_profile": "firebase_id",  "authorized_parties": [    "string"  ],  "enabled": true,  "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",  "security_generation": -9007199254740991,  "version": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
PATCH
/identity_connections/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length
If-Match*string

Required revision, checked in the owning transaction.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/identity_connections/string" \  -H "Idempotency-Key: string" \  -H "If-Match: string" \  -H "Content-Type: application/json" \  -d '{    "audience": "product"  }'
{  "id": "string",  "provider": "firebase",  "issuer": "string",  "audience": "string",  "verification_url": "string",  "algorithms": [    "RS256"  ],  "token_profile": "firebase_id",  "authorized_parties": [    "string"  ],  "enabled": true,  "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",  "security_generation": -9007199254740991,  "version": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
POST
/identity_connections/{id}/disable

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length
If-Match*string

Required revision, checked in the owning transaction.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/identity_connections/string/disable" \  -H "Idempotency-Key: string" \  -H "If-Match: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "provider": "firebase",  "issuer": "string",  "audience": "string",  "verification_url": "string",  "algorithms": [    "RS256"  ],  "token_profile": "firebase_id",  "authorized_parties": [    "string"  ],  "enabled": true,  "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",  "security_generation": -9007199254740991,  "version": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
GET
/customer_identity_bindings

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 2048
customer_id?string

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customer_identity_bindings"
{  "data": [    {      "id": "string",      "connection_id": "string",      "customer_id": "string",      "issuer": "string",      "suspended_at": "2019-08-24T14:15:22Z",      "security_generation": -9007199254740991,      "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
GET
/customer_identity_bindings/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customer_identity_bindings/string"
{  "id": "string",  "connection_id": "string",  "customer_id": "string",  "issuer": "string",  "suspended_at": "2019-08-24T14:15:22Z",  "security_generation": -9007199254740991,  "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
PATCH
/customer_identity_bindings/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length
If-Match*string

Required revision, checked in the owning transaction.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/customer_identity_bindings/string" \  -H "Idempotency-Key: string" \  -H "If-Match: string" \  -H "Content-Type: application/json" \  -d '{    "suspended": true  }'
{  "id": "string",  "connection_id": "string",  "customer_id": "string",  "issuer": "string",  "suspended_at": "2019-08-24T14:15:22Z",  "security_generation": -9007199254740991,  "provider_issued_at_cutoff": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
POST
/customers/{id}/session_revocations

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers/string/session_revocations" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "customer_id": "string",  "auth_epoch": 0}